## wfmath 1501799185.be5f923

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2)

project(wfmath)
set(CMAKE_CXX_STANDARD 14)
include(GNUInstallDirs)
include(FindPkgConfig)

# Version setup

set(WFMATH_VERSION_MAJOR 1)
set(WFMATH_VERSION_MINOR 0)
set(WFMATH_VERSION_PATCH 3)

set(VERSION ${WFMATH_VERSION_MAJOR}.${WFMATH_VERSION_MINOR}.${WFMATH_VERSION_PATCH})
set(SUFFIX -${WFMATH_VERSION_MAJOR}.${WFMATH_VERSION_MINOR})

set(WFMATH_ABI_CURRENT 1)
set(WFMATH_ABI_REVISION 0)
set(WFMATH_ABI_AGE 0)
math(EXPR WFMATH_SOVERSION ${WFMATH_ABI_CURRENT}-${WFMATH_ABI_AGE})
set(WFMATH_ABI_VERSION ${WFMATH_SOVERSION}.${WFMATH_ABI_AGE}.${WFMATH_ABI_REVISION})

# Set compiler flags
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")

include_directories("${PROJECT_SOURCE_DIR}")

# Meta data

set(DESCRIPTION "A math library for the Worldforge system.")



# This macro defines a library
macro(wf_add_library _LIB_NAME _SOURCE_FILES_VAR _HEADER_FILES_VAR)

    add_library(${_LIB_NAME} SHARED ${${_SOURCE_FILES_VAR}})
    set_target_properties(${_LIB_NAME} PROPERTIES
            VERSION ${WFMATH_ABI_VERSION}
            SOVERSION ${WFMATH_SOVERSION}
            )

    install(TARGETS ${_LIB_NAME}
            LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})

    foreach (file ${${_HEADER_FILES_VAR}})
        get_filename_component(dir ${file} DIRECTORY)
        install(FILES ${file} DESTINATION include/${PROJECT_NAME}${SUFFIX}/${dir})
    endforeach ()

    set(PKG_CONFIG_LIBS "-l${_LIB_NAME} ${PKG_CONFIG_LIBS}")

endmacro()

# Add a "check" target, which builds and runs the tests.
add_custom_target(check COMMAND ${CMAKE_CTEST_COMMAND})

#Macro for adding a test. The test name will be extracted from the name of the first submitted file.
#Additional files can be submitted as varargs.
macro(wf_add_test TEST_FILE)

    get_filename_component(TEST_NAME ${TEST_FILE} NAME_WE)

    add_executable(${TEST_NAME} EXCLUDE_FROM_ALL ${TEST_FILE} ${ARGN})
    target_link_libraries(${TEST_NAME} ${PROJECT_NAME}${SUFFIX})
    add_test(NAME ${TEST_NAME} COMMAND ${TEST_NAME})

    add_dependencies(check ${TEST_NAME})
endmacro()


# We only need Atlas for tests
pkg_check_modules(WF atlascpp-0.7>=0.7)

if (WF_FOUND)
    wf_add_test(atlas/atlas_0_7_test.cpp)
    target_link_libraries(atlas_0_7_test ${WF_LDFLAGS})
    target_include_directories(atlas_0_7_test PUBLIC ${WF_INCLUDE_DIRS})
endif (WF_FOUND)

# Define source files for libraries

set(SOURCE_FILES
        wfmath/axisbox.cpp
        wfmath/ball.cpp
        wfmath/const.cpp
        wfmath/int_to_string.cpp
        wfmath/intersect.cpp
        wfmath/line.cpp
        wfmath/point.cpp
        wfmath/polygon.cpp
        wfmath/polygon_intersect.cpp
        wfmath/probability.cpp
        wfmath/quaternion.cpp
        wfmath/randgen.cpp
        wfmath/rotbox.cpp
        wfmath/rotmatrix.cpp
        wfmath/segment.cpp
        wfmath/stream.cpp
        wfmath/timestamp.cpp
        wfmath/vector.cpp)

set(HEADER_FILES
        wfmath/atlasconv.h
        wfmath/axisbox.h
        wfmath/axisbox_funcs.h
        wfmath/ball.h
        wfmath/ball_funcs.h
        wfmath/basis.h
        wfmath/const.h
        wfmath/error.h
        wfmath/general_test.h
        wfmath/int_to_string.h
        wfmath/intersect.h
        wfmath/intersect_decls.h
        wfmath/line.h
        wfmath/line_funcs.h
        wfmath/MersenneTwister.h
        wfmath/miniball.h
        wfmath/miniball_funcs.h
        wfmath/point.h
        wfmath/point_funcs.h
        wfmath/polygon.h
        wfmath/polygon_funcs.h
        wfmath/polygon_intersect.h
        wfmath/probability.h
        wfmath/quaternion.h
        wfmath/randgen.h
        wfmath/rotbox.h
        wfmath/rotbox_funcs.h
        wfmath/rotmatrix.h
        wfmath/rotmatrix_funcs.h
        wfmath/segment.h
        wfmath/segment_funcs.h
        wfmath/shuffle.h
        wfmath/stream.h
        wfmath/timestamp.h
        wfmath/vector.h
        wfmath/vector_funcs.h
        wfmath/wfmath.h
        wfmath/wrapped_array.h
        wfmath/zero.h)

wf_add_library(${PROJECT_NAME}${SUFFIX} SOURCE_FILES HEADER_FILES)


# pkg-config files
configure_file(${PROJECT_NAME}.pc.in ${PROJECT_NAME}${SUFFIX}.pc @ONLY)
install(FILES ${PROJECT_BINARY_DIR}/${PROJECT_NAME}${SUFFIX}.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

# RPM spec files
#TODO: fix these
configure_file(${PROJECT_NAME}.spec.in ${PROJECT_NAME}.spec @ONLY)
#TODO: fix these
configure_file(mingw32-${PROJECT_NAME}.spec.in mingw32-${PROJECT_NAME}.spec @ONLY)

# Add test
enable_testing()

wf_add_test(wfmath/ball_test.cpp)
wf_add_test(wfmath/const_test.cpp)
wf_add_test(wfmath/intstring_test.cpp)
wf_add_test(wfmath/line_test.cpp)
wf_add_test(wfmath/point_test.cpp)
wf_add_test(wfmath/polygon_test.cpp)
wf_add_test(wfmath/probability_test.cpp)
wf_add_test(wfmath/quaternion_test.cpp)
wf_add_test(wfmath/randgen_test.cpp)
wf_add_test(wfmath/rotmatrix_test.cpp)
wf_add_test(wfmath/shape_test.cpp)
wf_add_test(wfmath/timestamp_test.cpp)
wf_add_test(wfmath/vector_test.cpp)


# Doxygen support, exports a "docs" target.

find_package(Doxygen)
configure_file(doc/Doxyfile.in Doxyfile @ONLY)

if (DOXYGEN_FOUND)

    set(DOXYGEN_INPUT ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile)
    set(DOXYGEN_OUTPUT doc)

    add_custom_command(
            OUTPUT ${DOXYGEN_OUTPUT}
            COMMAND ${CMAKE_COMMAND} -E echo_append "Building API Documentation..."
            COMMAND ${DOXYGEN_EXECUTABLE} ${DOXYGEN_INPUT}
            COMMAND ${CMAKE_COMMAND} -E echo "Done."
            WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
            DEPENDS ${DOXYGEN_INPUT}
    )

    add_custom_target(docs DEPENDS ${DOXYGEN_OUTPUT})

endif (DOXYGEN_FOUND)

add_custom_command(
        OUTPUT ChangeLog
        COMMAND ${CMAKE_SOURCE_DIR}/support/generate-ChangeLog.sh ${CMAKE_SOURCE_DIR} ${CMAKE_SOURCE_DIR} 8bd480b053190ffde2afe33af66f484953036f5a
)
add_custom_target(changelog DEPENDS ChangeLog)


# Packaging (for source tarballs

set(CPACK_PACKAGE_DESCRIPTION_SUMMARY ${DESCRIPTION})
set(CPACK_PACKAGE_VENDOR "Worldforge")
set(CPACK_PACKAGE_DESCRIPTION_FILE "${PROJECT_SOURCE_DIR}/README")
set(CPACK_RESOURCE_FILE_LICENSE "${PROJECT_SOURCE_DIR}/COPYING")
set(CPACK_PACKAGE_VERSION_MAJOR "${WFMATH_VERSION_MAJOR}")
set(CPACK_PACKAGE_VERSION_MINOR "${WFMATH_VERSION_MINOR}")
set(CPACK_PACKAGE_VERSION_PATCH "${WFMATH_VERSION_PATCH}")
#set(CPACK_INSTALL_SCRIPT "sh ${CMAKE_SOURCE_DIR}/support/generate-ChangeLog.sh ${CMAKE_SOURCE_DIR} ${CPACK_PACKAGE_INSTALL_DIRECTORY} 8bd480b053190ffde2afe33af66f484953036f5a")

set(CPACK_SOURCE_GENERATOR TBZ2 ZIP)

set(CPACK_SOURCE_PACKAGE_FILE_NAME "${PROJECT_NAME}-${VERSION}" CACHE INTERNAL "tarball basename")

set(CPACK_SOURCE_IGNORE_FILES
        # no hidden files
        "/\\\\..+$"
        "~$"
        )

include(CPack)

## wfmath 0.3.12

=== debian/changelog ===
wfmath (0.3.12-3ubuntu2) trusty; urgency=low

  * Further symbol updates for ppc64el.

 -- Daniel T Chen <crimsun@ubuntu.com>  Wed, 19 Mar 2014 15:15:04 -0400

wfmath (0.3.12-3ubuntu1) trusty; urgency=low

  * Update symbols for newer arches, resolving FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Wed, 19 Mar 2014 14:20:04 -0400

wfmath (0.3.12-3) unstable; urgency=low

  * added more symbols (closes: #671956)
  * debian/control: updated Standards-Version to 3.9.3 (no changes)
  * incorporated and acknowledged NMU (thanks Matthias)

 -- Stephen M. Webb <stephen.webb@bregmasoft.ca>  Wed, 30 May 2012 09:17:22 -0400

wfmath (0.3.12-2.1) unstable; urgency=low

  * Non maintainer upload
  * Fix build failure with GCC 4.7. Closes: #671956.

 -- Matthias Klose <doko@debian.org>  Wed, 30 May 2012 06:28:30 +0000

wfmath (0.3.12-2) unstable; urgency=low

  * marked some inline symbols optional
  * added 0001-float-comparisons.patch
    - fixes floating-point comparisons that cause FTBFS in the test suite on
      some architectures

 -- Stephen M. Webb <stephen.webb@bregmasoft.ca>  Thu, 16 Feb 2012 17:25:48 -0500

wfmath (0.3.12-1) unstable; urgency=low

  * new upstream release
  * new maintainer: Debian games team (closes: #653979)
    - added myself as uploader
  * converted packaging to use dh sequenceer
  * renamed binary packages due to SONAME bump
  * converted to 3.0 (quilt) source format
  * updated Standards-Version to 3.9.2 (no changes required)
  * debian/control: added Vcs- fields
  * refined doc packaging rules
  * added symbols tracking
  * debian/copyright: converted to DEP-5 format
  * debian/rules: regenerated autoconfigury
  * use xz compression for packaging
  * move to debhelper compat level 9

 -- Stephen M. Webb <stephen.webb@bregmasoft.ca>  Thu, 02 Feb 2012 12:23:40 -0500

wfmath (0.3.9-2) unstable; urgency=low

  * debian/libwfmath-0.3-dev.install: Don't install *.la file.
  * Updated Standards-Version to 3.8.3.

 -- Michael Koch <konqueror@gmx.de>  Thu, 27 Aug 2009 08:52:38 +0200

wfmath (0.3.9-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Add correct copyright notice.
  * debian/conrol: Updated Standards-Version to 3.8.2.
  * debian/control: Move libwfmath-0.3-4-dbg to debug section.
  * debian/control: Add Depends: ${misc:Depends} to all packages.
  * debian/watch: Use SourceForge rediretor.

 -- Michael Koch <konqueror@gmx.de>  Tue, 21 Jul 2009 10:55:36 +0200

wfmath (0.3.7-1) unstable; urgency=low

  * New upstream release.
  * Updated Standards-Version to 3.7.3.
  * Updated debhelper level to 5.
  * Added homepage field.

 -- Michael Koch <konqueror@gmx.de>  Sun, 09 Dec 2007 16:19:35 +0100

wfmath (0.3.6-1) unstable; urgency=low

  * New upstream release
    - Removed debian/patches/wfmath-gcc42.diff. Obsoleted.

 -- Michael Koch <konqueror@gmx.de>  Fri, 20 Jul 2007 07:31:41 +0200

wfmath (0.3.5-4) unstable; urgency=low

  * Applied patch to make wfmath compile with g++-4.2.
    Closes: #361815, #362211, #362420.
  * Make package binNMU-able.
  * Added homepage tag to all long descriptions.

 -- Michael Koch <konqueror@gmx.de>  Mon, 16 Jul 2007 12:58:19 +0200

wfmath (0.3.5-3) unstable; urgency=low

  * Upload to unstable.

 -- Michael Koch <konqueror@gmx.de>  Mon, 04 Jun 2007 21:55:14 +0200

wfmath (0.3.5-2) experimental; urgency=low

  * Rebuild with libc6 from unstable.

 -- Michael Koch <konqueror@gmx.de>  Sun, 25 Mar 2007 20:07:27 +0200

wfmath (0.3.5-1) experimental; urgency=low

  * Upload to experimental.
    - changed soname
  * New upstream release.
  * Updated Build-Depends on debhelper to >= 4.1.0.
  * Fixed way of building debug package.
  * Updated Standards-Version to 3.7.2.

 -- Michael Koch <konqueror@gmx.de>  Wed, 14 Feb 2007 12:12:56 +0000

wfmath (0.3.4-4) unstable; urgency=low

  * Fixed library package name after C++ transition
    (Closes: #339277).

 -- Michael Koch <konqueror@gmx.de>  Sat,  3 Dec 2005 20:38:25 +0000

wfmath (0.3.4-3) unstable; urgency=low

  * Did the new C++ ABI transition and renamed some packages
    (Closes: #339277).
  * Updated debian/watch file.

 -- Michael Koch <konqueror@gmx.de>  Sat, 26 Nov 2005 17:10:22 +0000

wfmath (0.3.4-2) unstable; urgency=low

  * Added missing Conflicts/Replaces

 -- Michael Koch <konqueror@gmx.de>  Mon,  5 Sep 2005 05:25:25 +0000

wfmath (0.3.4-1) unstable; urgency=low

  * New upstream release
  * Renamed binary packages for C++ transition
  * debian/copyright: Fixed address of FSF
  * Updated Standards-Version to 3.6.2
  * Sponsored by Petter Reinholdtsen

 -- Michael Koch <konqueror@gmx.de>  Wed, 31 Aug 2005 20:25:51 +0000

wfmath (0.3.3-3) unstable; urgency=high

  * Reworked package descriptions
  * Added debian/watch

 -- Michael Koch <konqueror@gmx.de>  Thu, 30 Sep 2004 06:44:50 +0000

wfmath (0.3.3-2) unstable; urgency=low

  * debian/copyright: Fixed download url and copyright notice

 -- Michael Koch <konqueror@gmx.de>  Mon, 26 Jul 2004 08:50:22 +0200

wfmath (0.3.3-1) unstable; urgency=low

  * New upstream release
  * Use CDBS as build system
  * libwfmath-0.3-dbg: Depends on libwfmath-0.3 of same version

 -- Michael Koch <konqueror@gmx.de>  Tue, 20 Jul 2004 07:47:13 +0200

wfmath (0.3.2-2) unstable; urgency=low

  * Fixed Depends line of libwfmath-0.3-dbg 

 -- Michael Koch <konqueror@gmx.de>  Tue,  8 Jun 2004 08:23:30 +0200

wfmath (0.3.2-1) unstable; urgency=low

  * New upstream release
  * Updated SONAME to 0.3
  * Use debian/compat instead of DH_COMPAT
  * Build-Depends on debhelper >= 4.0.0
  * Removed Build-Depends on libatlas-cpp-dev
  * Removed manpage for wfmath-config

 -- Michael Koch <konqueror@gmx.de>  Sat, 15 May 2004 11:05:52 +0200

wfmath (0.2.11-2) unstable; urgency=low

  * libwfmath-dev dont need to depends on libatlas-cpp-dev.
  * Updated Standards-Version to 3.5.10.

 -- Michael Koch <konqueror@gmx.de>  Tue, 27 May 2003 09:47:20 +0000

wfmath (0.2.11-1) unstable; urgency=low

  * New upstream release.


=== debian/control ===
Source: wfmath
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Stephen M. Webb <stephen.webb@bregmasoft.ca>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               doxygen
Standards-Version: 3.9.3
Homepage: http://www.worldforge.org/
Vcs-Git: git://git.debian.org/git/pkg-games/wfmath.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/wfmath.git

Package: libwfmath-0.3-6
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: WorldForge math library
 The primary focus of WFMath is geometric objects. Thus,
 it includes an several shapes (boxes, balls, lines),
 in addition to the basic math objects that are used to
 build these shapes (points, vectors, matrices).

Package: libwfmath-0.3-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~)
Depends: libwfmath-0.3-6 (= ${binary:Version}),
         ${misc:Depends}
Suggests: libwfmath-doc
Description: WorldForge math library - development files
 The primary focus of WFMath is geometric objects. Thus,
 it includes an several shapes (boxes, balls, lines),
 in addition to the basic math objects that are used to
 build these shapes (points, vectors, matrices).
 .
 This package contains the development files.

Package: libwfmath-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}
Description: WorldForge math library - API documentation
 The primary focus of WFMath is geometric objects. Thus,
 it includes an several shapes (boxes, balls, lines),
 in addition to the basic math objects that are used to
 build these shapes (points, vectors, matrices).
 .
 This package contains the API documentation files.

Package: libwfmath-0.3-6-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~)
Depends: libwfmath-0.3-6 (= ${binary:Version}),
         ${misc:Depends}
Description: WorldForge math library - debugging library
 The primary focus of WFMath is geometric objects. Thus,
 it includes an several shapes (boxes, balls, lines),
 in addition to the basic math objects that are used to
 build these shapes (points, vectors, matrices).
 .
 This package contains the library with debugging symbols.

=== debian/watch ===
version=3
http://sf.net/worldforge/wfmath-(.*)\.tar\.gz debian uupdate

## wfmath 1.0.2+dfsg1

=== debian/changelog ===
wfmath (1.0.2+dfsg1-14) unstable; urgency=high

  * Remove autopkgtest, too fragile

 -- Olek Wojnar <olek@debian.org>  Sat, 27 Jun 2020 03:36:41 -0400

wfmath (1.0.2+dfsg1-13) unstable; urgency=high

  * And depend on autoconf and automake for the tests

 -- Olek Wojnar <olek@debian.org>  Mon, 22 Jun 2020 12:16:35 -0400

wfmath (1.0.2+dfsg1-12) unstable; urgency=high

  * Run autoreconf in autopkgtest
  * Temporarily remove d/symbols due to continued instability

 -- Olek Wojnar <olek@debian.org>  Fri, 19 Jun 2020 16:01:10 -0400

wfmath (1.0.2+dfsg1-11) unstable; urgency=high

  * Add autopkgtest restriction

 -- Olek Wojnar <olek@debian.org>  Mon, 15 Jun 2020 12:25:23 -0400

wfmath (1.0.2+dfsg1-10) unstable; urgency=medium

  * Add another autopkgtest dependency

 -- Olek Wojnar <olek@debian.org>  Mon, 15 Jun 2020 00:12:20 -0400

wfmath (1.0.2+dfsg1-9) unstable; urgency=high

  * Declare correct autopkgtest depends (Closes: #962804)

 -- Olek Wojnar <olek@debian.org>  Sun, 14 Jun 2020 15:03:07 -0400

wfmath (1.0.2+dfsg1-8) unstable; urgency=high

  * Update symbols to prevent FTBFS (Closes: #962179)

 -- Olek Wojnar <olek@debian.org>  Fri, 05 Jun 2020 15:44:37 -0400

wfmath (1.0.2+dfsg1-7) unstable; urgency=medium

  * Update symbols for s390x (Closes: #959767)
    - Thanks to Steve Langasek for the patch
  * Update symbols for GCC 10 (Closes: #957931)
  * Use pkg-kde-tools to manage symbols
  * Update Standards to 4.5.0 (no changes required)
  * Update Compatibility Level to 13
    - Remove unnecessary fix-for-760192-autoreconf.patch
  * Add autopkgtest

 -- Olek Wojnar <olek@debian.org>  Wed, 03 Jun 2020 20:52:54 -0400

wfmath (1.0.2+dfsg1-6) unstable; urgency=medium

  * Fix symbols on ia64

 -- Olek Wojnar <olekw.dev@gmail.com>  Mon, 08 Oct 2018 20:30:16 -0400

wfmath (1.0.2+dfsg1-5) unstable; urgency=medium

  * Update d/control:
    - New uploader email and URLs
    - Remove versioned build dependency on g++
    - Standards to 4.2.1 (no changes)
    - Add Rules-Requires-Root declaration
  * Update d/copyright:
    - Refresh Debian info
    - Add comment about dfsg-removed file
  * Update d/compat: 11 (no changes)
  * Remove d/triggers: redundant trigger
  * Add d/upstream/metadata: for DEP 12 compliance
  * Update d/rules: migration complete, remove dbgsym-migration flag

 -- Olek Wojnar <olekw.dev@gmail.com>  Sun, 07 Oct 2018 21:20:50 -0400

wfmath (1.0.2+dfsg1-4) unstable; urgency=high

  * Update symbols for GCC 7 (Closes: #853706)
  * Update dh compat to 10
  * Update standards to 4.1.0
    - d/control: document new standards version
    - d/copyright: use https in Format field

 -- Olek Wojnar <olek-dev@wojnar.org>  Tue, 05 Sep 2017 16:32:09 -0500

wfmath (1.0.2+dfsg1-3) unstable; urgency=medium

  * Fix symbols for armhf builds with GCC 6

 -- Olek Wojnar <olek-dev@wojnar.org>  Tue, 16 Aug 2016 22:12:34 -0400

wfmath (1.0.2+dfsg1-2) unstable; urgency=medium

  * Add inline symbols patch from Ubuntu, thanks Steve Langasek
    -- Allows proper build with -O3 optimization
  * Move doxygen to Build-Depends-Indep

 -- Olek Wojnar <olek-dev@wojnar.org>  Thu, 14 Jul 2016 19:32:48 -0400

wfmath (1.0.2+dfsg1-1) unstable; urgency=medium

  * Incorporate 4 NMUs, thanks Tobias Frost and Julien Cristau
  * Add myself as new uploader
    - Remove Stephen Webb per his request
    - Thanks for all the contributions, Stephen!
  * d/control
    - Remove pre-dependency on dpkg
    - Update standards to 3.9.8 (no changes)
    - Update Vcs lines for secure URIs
  * Add symbols file
  * Add override to -doc package for embedded jquery
  * Add d/triggers file for ldconfig processing
  * d/watch: update file extensions
  * Update d/copyright
  * Enable all hardening options
  * Convert to automatic debug package

 -- Olek Wojnar <olek-dev@wojnar.org>  Sat, 09 Jul 2016 15:47:07 -0400

wfmath (1.0.2+dfsg1-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename library packages for g++5 ABI transition (closes: 791326).

 -- Julien Cristau <jcristau@debian.org>  Sun, 16 Aug 2015 17:56:27 +0200

wfmath (1.0.2+dfsg1-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Call autoreconf with --force --install to fix FTBFS for arm64 and ppc64el.
    (Closes: #760192)

 -- Tobias Frost <tobi@debian.org>  Thu, 06 Nov 2014 22:06:21 +0100

wfmath (1.0.2+dfsg1-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.

 -- Tobias Frost <tobi@debian.org>  Wed, 13 Aug 2014 09:21:29 +0200

wfmath (1.0.2+dfsg1-0.1) experimental; urgency=low

  [ Tobias Frost ]
  * Non-maintainer upload
  * picking up this NMU from the git packaging repository, as Stephen already
    worked on this release.
  * call autogen.sh during dh_autoreconf to avoid FTBFS
  * Do not use -fno-implicit-templates as this causes also a FTBFS.
  * remove symbols file. They are just too fragile for C++
  * changing homepage in d/control to http://www.worldforge.org/ seems to be
    dead.

  [ Stephen M. Webb ]
  * new upstream release (Closes: #736315)
  * debian/patches/0001-float-comparisons.patch: removed (fixed upstream)
  * bumped package names to 1.0
  * debian/control: updated to Standards-Version 3.9.5 (no changes)
  * debian/control: used canonical form for VCS-* fields
  * debian/rules: forced verbose build
  * debian/libwfmath-1.0-1.lintian-overrides: new file
  * debian/patches/0002-replace-mersenne-twister.patch: new file
  * debian/control: fixed Vcs-Browser URL
  * debian/watch: added dfsg dversionmangle option

 -- Tobias Frost <tobi@debian.org>  Sun, 10 Aug 2014 18:01:42 +0200

wfmath (0.3.12-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build failure with GCC 4.9 (Xilin Sun). Closes: #746920.

 -- Matthias Klose <doko@debian.org>  Sat, 09 Aug 2014 14:18:10 +0200

=== debian/control ===
Source: wfmath
Section: libs
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Olek Wojnar <olek@debian.org>,
           Debian Games Team <team+pkg-games@tracker.debian.org>
Build-Depends: debhelper-compat (= 13),
               pkg-kde-tools,
Build-Depends-Indep: doxygen
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://www.worldforge.org/
Vcs-Git: https://salsa.debian.org/games-team/wfmath.git
Vcs-Browser: https://salsa.debian.org/games-team/wfmath

Package: libwfmath-1.0-1v5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libwfmath-1.0-1
Replaces: libwfmath-1.0-1
Description: WorldForge math library
 The primary focus of WFMath is geometric objects. Thus,
 it includes an several shapes (boxes, balls, lines),
 in addition to the basic math objects that are used to
 build these shapes (points, vectors, matrices).

Package: libwfmath-1.0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libwfmath-1.0-1v5 (= ${binary:Version}),
         ${misc:Depends}
Suggests: libwfmath-doc
Description: WorldForge math library - development files
 The primary focus of WFMath is geometric objects. Thus,
 it includes an several shapes (boxes, balls, lines),
 in addition to the basic math objects that are used to
 build these shapes (points, vectors, matrices).
 .
 This package contains the development files.

Package: libwfmath-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: WorldForge math library - API documentation
 The primary focus of WFMath is geometric objects. Thus,
 it includes an several shapes (boxes, balls, lines),
 in addition to the basic math objects that are used to
 build these shapes (points, vectors, matrices).
 .
 This package contains the API documentation files.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CXXFLAGS_MAINT_APPEND = -fvisibility-inlines-hidden

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- --disable-silent-rules

override_dh_missing:
	dh_missing -X.la -X.a

override_dh_auto_build-indep:
	$(MAKE) -C doc docs

override_dh_auto_clean:
	rm -rf doc/html doc/latex doc/man
	dh_auto_clean

=== debian/watch ===
version=3
opts=dversionmangle=s/\+(dfsg)\d*$// \
 http://sf.net/worldforge/wfmath-(.*)\.(?:tar\.(?:gz|bz2|xz)) debian uupdate

## wfmath 1577550313.ad93482

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2)

project(wfmath)
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED on)
include(GNUInstallDirs)
include(FindPkgConfig)

# Version setup

set(WFMATH_VERSION_MAJOR 1)
set(WFMATH_VERSION_MINOR 0)
set(WFMATH_VERSION_PATCH 3)

set(VERSION ${WFMATH_VERSION_MAJOR}.${WFMATH_VERSION_MINOR}.${WFMATH_VERSION_PATCH})
set(SUFFIX -${WFMATH_VERSION_MAJOR}.${WFMATH_VERSION_MINOR})

set(WFMATH_ABI_CURRENT 1)
set(WFMATH_ABI_REVISION 0)
set(WFMATH_ABI_AGE 0)
math(EXPR WFMATH_SOVERSION ${WFMATH_ABI_CURRENT}-${WFMATH_ABI_AGE})
set(WFMATH_ABI_VERSION ${WFMATH_SOVERSION}.${WFMATH_ABI_AGE}.${WFMATH_ABI_REVISION})

option(BUILD_TESTING "Should tests always be built; otherwise they will be built when the 'check' target is executed." OFF)
option(BUILD_SHARED_LIBS "Build libraries as shared as opposed to static." ON)

# Set compiler flags
if (CMAKE_CXX_COMPILER_ID STREQUAL "MSVC")
	set(WF_WARNING_FLAGS /W3)
    add_definitions(-D_WIN32_WINNT=0x0601) #target Windows 7
else ()
	set(WF_WARNING_FLAGS -Wall -Winit-self -Wcast-qual -Wwrite-strings -Wextra -Wundef -Wmissing-declarations -Wno-unused-parameter -Wshadow -Wno-missing-field-initializers -Wno-long-long)
endif ()

include_directories("${PROJECT_SOURCE_DIR}/src")

# Meta data

set(DESCRIPTION "A math library for the Worldforge system.")

# This macro defines a library
macro(wf_add_library _LIB_NAME _SOURCE_FILES_VAR _HEADER_FILES_VAR)

    add_library(${_LIB_NAME} ${${_SOURCE_FILES_VAR}} ${${_HEADER_FILES_VAR}})
    add_library(${_LIB_NAME}_object OBJECT ${${_SOURCE_FILES_VAR}} ${${_HEADER_FILES_VAR}})
    set_target_properties(${_LIB_NAME} PROPERTIES
            VERSION ${WFMATH_ABI_VERSION}
            SOVERSION ${WFMATH_SOVERSION}
            )
    target_compile_options(${_LIB_NAME} PRIVATE ${WF_WARNING_FLAGS})

    install(TARGETS ${_LIB_NAME}
            ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
            LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})

    foreach (file ${${_HEADER_FILES_VAR}})
        get_filename_component(dir ${file} DIRECTORY)
        install(FILES ${file} DESTINATION include/${PROJECT_NAME}${SUFFIX}/${dir})
    endforeach ()

endmacro()

enable_testing()
# Add a "check" target, which builds and runs the tests.
add_custom_target(check COMMAND ${CMAKE_CTEST_COMMAND})

#Macro for adding a test. The test name will be extracted from the name of the first submitted file.
#Additional files can be submitted as varargs.
macro(wf_add_test TEST_FILE)

    get_filename_component(TEST_NAME ${TEST_FILE} NAME_WE)

    # If BUILD_TESTING is defined we'll build the test no matter what. This makes it work better on Windows.
    if (BUILD_TESTING)
        add_executable(${TEST_NAME} ${TEST_FILE} ${ARGN} "$<TARGET_OBJECTS:${PROJECT_NAME}${SUFFIX}_object>")
    else (BUILD_TESTING)
        add_executable(${TEST_NAME} EXCLUDE_FROM_ALL ${TEST_FILE} ${ARGN} "$<TARGET_OBJECTS:${PROJECT_NAME}${SUFFIX}_object>")
    endif (BUILD_TESTING)
    add_test(NAME ${TEST_NAME} COMMAND $<TARGET_FILE:${TEST_NAME}>)

    add_dependencies(check ${TEST_NAME})
endmacro()

# We only need Atlas for tests
find_package(Atlas
        0.7.0)

add_subdirectory(src)
add_subdirectory(tests)

# pkg-config files
configure_file(tools/${PROJECT_NAME}.pc.in ${PROJECT_NAME}${SUFFIX}.pc @ONLY)
install(FILES ${PROJECT_BINARY_DIR}/${PROJECT_NAME}${SUFFIX}.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

# RPM spec files
#TODO: fix these
configure_file(tools/${PROJECT_NAME}.spec.in ${PROJECT_NAME}.spec @ONLY)
#TODO: fix these
configure_file(tools/mingw32-${PROJECT_NAME}.spec.in mingw32-${PROJECT_NAME}.spec @ONLY)

# Doxygen support, exports a "dox" target.

find_package(Doxygen)
configure_file(docs/Doxyfile.in Doxyfile @ONLY)

if (DOXYGEN_FOUND)

    set(DOXYGEN_INPUT ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile)
    set(DOXYGEN_OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/docs)

    add_custom_command(
            OUTPUT ${DOXYGEN_OUTPUT}
            COMMAND ${CMAKE_COMMAND} -E echo_append "Building API Documentation..."
            COMMAND ${DOXYGEN_EXECUTABLE} ${DOXYGEN_INPUT}
            COMMAND ${CMAKE_COMMAND} -E echo "Done."
            WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
            DEPENDS ${DOXYGEN_INPUT}
    )

    add_custom_target(dox DEPENDS ${DOXYGEN_OUTPUT})

endif (DOXYGEN_FOUND)

add_custom_command(
        OUTPUT ChangeLog
        COMMAND ${CMAKE_SOURCE_DIR}/support/generate-ChangeLog.sh ${CMAKE_SOURCE_DIR} ${CMAKE_SOURCE_DIR} 8bd480b053190ffde2afe33af66f484953036f5a
)
add_custom_target(changelog DEPENDS ChangeLog)


# CMake config files
include(CMakePackageConfigHelpers)

configure_package_config_file(tools/Config.cmake.in ${PROJECT_BINARY_DIR}/cmake/${PROJECT_NAME}Config.cmake
        INSTALL_DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}
        PATH_VARS CMAKE_INSTALL_INCLUDEDIR CMAKE_INSTALL_LIBDIR)
write_basic_package_version_file(
        ${PROJECT_BINARY_DIR}/cmake/${PROJECT_NAME}ConfigVersion.cmake
        VERSION ${VERSION}
        COMPATIBILITY ExactVersion)
install(FILES
        ${PROJECT_BINARY_DIR}/cmake/${PROJECT_NAME}Config.cmake
        ${PROJECT_BINARY_DIR}/cmake/${PROJECT_NAME}ConfigVersion.cmake
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME})


# Packaging (for source tarballs

set(CPACK_PACKAGE_DESCRIPTION_SUMMARY ${DESCRIPTION})
set(CPACK_PACKAGE_VENDOR "Worldforge")
set(CPACK_PACKAGE_DESCRIPTION_FILE "${PROJECT_SOURCE_DIR}/README.md")
set(CPACK_RESOURCE_FILE_LICENSE "${PROJECT_SOURCE_DIR}/COPYING")
set(CPACK_PACKAGE_VERSION_MAJOR "${WFMATH_VERSION_MAJOR}")
set(CPACK_PACKAGE_VERSION_MINOR "${WFMATH_VERSION_MINOR}")
set(CPACK_PACKAGE_VERSION_PATCH "${WFMATH_VERSION_PATCH}")
#set(CPACK_INSTALL_SCRIPT "sh ${CMAKE_SOURCE_DIR}/support/generate-ChangeLog.sh ${CMAKE_SOURCE_DIR} ${CPACK_PACKAGE_INSTALL_DIRECTORY} 8bd480b053190ffde2afe33af66f484953036f5a")

set(CPACK_SOURCE_GENERATOR TBZ2 ZIP)

set(CPACK_SOURCE_PACKAGE_FILE_NAME "${PROJECT_NAME}-${VERSION}" CACHE INTERNAL "tarball basename")

set(CPACK_SOURCE_IGNORE_FILES
        # no hidden files
        "/\\\\..+$"
        "~$"
        )

include(CPack)

=== src/CMakeLists.txt ===
set(SOURCE_FILES
        wfmath/axisbox.cpp
        wfmath/ball.cpp
        wfmath/const.cpp
        wfmath/int_to_string.cpp
        wfmath/intersect.cpp
        wfmath/line.cpp
        wfmath/point.cpp
        wfmath/polygon.cpp
        wfmath/polygon_intersect.cpp
        wfmath/probability.cpp
        wfmath/quaternion.cpp
        wfmath/randgen.cpp
        wfmath/rotbox.cpp
        wfmath/rotmatrix.cpp
        wfmath/segment.cpp
        wfmath/stream.cpp
        wfmath/timestamp.cpp
        wfmath/vector.cpp)

set(HEADER_FILES
        wfmath/atlasconv.h
        wfmath/axisbox.h
        wfmath/axisbox_funcs.h
        wfmath/ball.h
        wfmath/ball_funcs.h
        wfmath/basis.h
        wfmath/const.h
        wfmath/error.h
        wfmath/int_to_string.h
        wfmath/intersect.h
        wfmath/intersect_decls.h
        wfmath/line.h
        wfmath/line_funcs.h
        wfmath/MersenneTwister.h
        wfmath/miniball.h
        wfmath/miniball_funcs.h
        wfmath/point.h
        wfmath/point_funcs.h
        wfmath/polygon.h
        wfmath/polygon_funcs.h
        wfmath/polygon_intersect.h
        wfmath/probability.h
        wfmath/quaternion.h
        wfmath/randgen.h
        wfmath/rotbox.h
        wfmath/rotbox_funcs.h
        wfmath/rotmatrix.h
        wfmath/rotmatrix_funcs.h
        wfmath/segment.h
        wfmath/segment_funcs.h
        wfmath/shuffle.h
        wfmath/stream.h
        wfmath/timestamp.h
        wfmath/vector.h
        wfmath/vector_funcs.h
        wfmath/wfmath.h
        wfmath/wrapped_array.h
        wfmath/zero.h)

wf_add_library(${PROJECT_NAME}${SUFFIX} SOURCE_FILES HEADER_FILES)

=== tests/CMakeLists.txt ===
# Add test
wf_add_test(ball_test.cpp)
wf_add_test(const_test.cpp)
wf_add_test(intstring_test.cpp)
wf_add_test(line_test.cpp)
wf_add_test(point_test.cpp)
wf_add_test(polygon_test.cpp)
wf_add_test(probability_test.cpp)
wf_add_test(quaternion_test.cpp)
wf_add_test(randgen_test.cpp)
wf_add_test(rotmatrix_test.cpp)
wf_add_test(shape_test.cpp)
wf_add_test(timestamp_test.cpp)
wf_add_test(vector_test.cpp)

if (Atlas_FOUND)
    link_directories(${Atlas_LIBRARY_DIR})
    wf_add_test(atlas/atlas_0_7_test.cpp)
    target_link_libraries(atlas_0_7_test ${Atlas_LIBRARIES})
    target_include_directories(atlas_0_7_test PUBLIC ${Atlas_INCLUDE_DIR})
endif (Atlas_FOUND)
